ASINH(3)

NAME
asinh, asinhf, asinhl - inverse hyperbolic sine function

SYNOPSIS
#include <math.h>

double asinh(double x);
float asinhf(float x);
long double asinhl(long double x);

Link with -lm.

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

asinh(), asinhf(), asinhl(): _BSD_SOURCE || _SVID_SOURCE || _XOPEN_SOURCE >= 500 || _ISOC99_SOURCE; or cc -std=c99

DESCRIPTION
The asinh() function calculates the inverse hyperbolic sine of x; that is the value whose hyperbolic sine is x.

CONFORMING TO
SVr4, POSIX.1-2001, 4.3BSD, C89. The float and long double variants are C99 requirements.

SEE ALSO
acosh(3), atanh(3), casinh(3), cosh(3), sinh(3), tanh(3)